/* VTController */

#import <Cocoa/Cocoa.h>

@interface VTController : NSObject
{
    IBOutlet id o_button;
    IBOutlet id o_caseRadio;
    IBOutlet id o_searchStr;
    IBOutlet id o_speedStr;
    IBOutlet id o_tableView;
	IBOutlet id o_prefPane;
	IBOutlet id o_searchMode;
	IBOutlet id o_minRepeat;
	IBOutlet id o_minRepeatStepper;
	IBOutlet id o_outputFile;
	IBOutlet id o_logPath;
	IBOutlet id o_clipboardStyle;
	IBOutlet id o_studyRE;
	IBOutlet id o_mainWindow;
	IBOutlet id o_clearMenu;
	IBOutlet id o_searchType;
	IBOutlet id o_matchMethod;
	BOOL isRunning;
	id searcher;
	NSMutableArray *tripArr;
	NSMutableArray *keyArr;
}
- (IBAction)beginSearch:(id)sender;
- (IBAction)showPref:(id)sender;
- (IBAction)prefOK:(id)sender;
- (IBAction)clearTable:(id)sender;
- (IBAction)setLogPath:(id)sender;
- (void)tripFound:(char *)trip key:(char *)key;
- (void)setCurrentSpeed:(double)speed;
- (NSString *)logPath;
- (void)error:(char *)str type:(int)t;
@end
